LỖI UNABLE TO FIND A VERSION OF THE RUNTIME TO RUN THIS APPLICATION

Reported In shows products that are verified lớn work for the solution described in this article. This solution might also apply khổng lồ other similar products or applications.

Bạn đang xem: Lỗi unable to find a version of the runtime to run this application


Issue Details

I built an application using LabVIEW. When deploying the executable khổng lồ another computer, I receive sầu an error similar to lớn the error shown below.I installed the LabVIEW Run-Time Engine from the asusexpo2014.com website. However, I still get an error asking for the Run-Time Engine when I run my Application.I cannot find LabVIEW Run-Time Engine on my computer.I am using a third-các buổi party program & it gives me an error that it cannot locate the LabVIEW Run-Time Engine. 

Unable to locate the LabVIEW Run-Time Engine. 

*


This error occurs because the Run-Time Engine (RTE) is from a version that is incompatible with the executable. 

LabVIEW 2017 and Later Versions

If your executable was written using LabVIEW 2017 or later versions, you have the opportuasusexpo2014.comty to build compatibility into your executable khổng lồ run with various RTEs.Follow steps to Configure LabVIEW Executable to lớn Run with Higher Run-Time Engine VersionsIf you vì chưng not have sầu the option to lớn or choose not to lớn rebuild you exe with this option enabled, continue on to the Install the Corresponding RTE
section below

LabVIEW năm nhâm thìn & Prior Versions

If your executable was built using LabVIEW 2016 or prior versions, LabVIEW Run-Time Engine (RTE) versions only support applications developed in the same major version of LabVIEW. The RTE version must match the LabVIEW Development System's bitness and major version. For example:An application developed using LabVIEW năm nhâm thìn 32-bit requires the LabVIEW 2016 32-bit RTE.An application developed using LabVIEW 2019 SP1 32-bit can run on either the LabVIEW 2019 32-bit RTE or the LabVIEW 2019 SP1 32-bit RTE (as 2019 is the major version).An application built in LabVIEW 2016 32-bit cannot run on LabVIEW 2016 64-bit RTE. Install the Corresponding RTETo alleviate this error, install the corresponding RTE on your deployment machine.Determine the version of LabVIEW RTE needed. This can be accomplished in many ways depending on what you have sầu access to:If you received this application from a third-party or another developer, check with the developer or any documentation for the LabVIEW version & bitness used lớn create the application.Download the correct LabVIEW Run-Time version onkhổng lồ the deployment computer.Under Included Editions select RuntimeSelect the Version and Application Bitness that match the application's developmentPress Download
*
 
If you have verified the correct version và bitness of the LabVIEW Run-Time Engine is already installed & you are still receiving this error, try rebuilding the application.

Additional Information

You can create an installer for your applications to ensure that all the needed software is installed with the executable và to lớn streamline the deployment process.Enabling the "automatically select recommended installers" box in the Additional Installers tab will show you what Run-time versions are needed và what will be installed once the installer runs.

Xem thêm: - Autodesk Revit Architecture 2015 Update Release 6

*

You can refer khổng lồ the following article to lớn add the required software to your installer: Additional Installers in LabVIEW Application Builder. This process can be very useful when deploying executables khổng lồ multiple computers.LabVIEW 32-bit Development Environment và LabVIEW 32-bit executables are compatible with both 64-bit & 32-bit operating systems. However, 64-bit LabVIEW Development Environment & LabVIEW 64-bit executables are compatible with 64-bit operating systems, but not 32-bit operating systems.


Other Support Options

Ask the asusexpo2014.com Commuasusexpo2014.comty

Collaborate with other users in our discussion forums

Request Support from an Engineer

A valid service agreement may be required, và support options vary by country.


Was this information helpful?

Helpful


Not Helpful


Privacy | Terms of Use | Other Legal Info | National Instruments Corporation. All rights reserved.